﻿namespace Interfaces
{
    public interface ICache
    {
        bool IsValid { get; }
        TValue Get<TKey, TValue>(TKey key);
        void Insert<TKey>(TKey key, object value);
        void Update<TKey>(TKey key, object value);
        void Delete<TKey>(TKey key);
        void Invalidate();
    }
}