using System.Data.Entity;
using System.Data.SqlClient;

namespace MovieDB.Entities
{
    public class MovieContext : DbContext, IContext
    {
        public MovieContext(string connectionString) : base(new SqlConnection(connectionString), false)
        {
        }

        #region IContext Members

        public DbSet<Movie> Movies { get; set; }
        public DbSet<AudioQuality> AudioQualities { get; set; }
        public DbSet<VideoQuality> VideoQualities { get; set; }

        #endregion

    }
}