﻿using System.Collections.Generic;
using MovieDB.Common;
using MovieDB.Models;

namespace MovieDB.FactoryInterfaces
{
    public interface IModelFactory {
        MovieModel CreateMovieModel(ModelCRUDType type);
        PagedMovieModel CreatePagedMovieModel(IEnumerable<MovieModel> movies, string nextPageUrl, int page, int pageSize, int totalAmountOfMovies);
    }
}