﻿using AutoMapper;
using MovieDB.Common;
using MovieDB.DTOs;

namespace MovieDB.Mapping.CustomConverter
{
    internal class MovieGenreStringResolver : ValueResolver<MovieDto, string>
    {
        protected override string ResolveCore(MovieDto source)
        {
            return string.Format("{0}", source.Genre.GetEnumDescription());
        }
    }
}