using AutoMapper;
using MovieDB.ServiceInterfaces;

namespace MovieDB.Mapping
{
    public class Mapping : IMapping
    {
        #region IMapping Members

        public TDestination MapFromSourceToDestination<TSource, TDestination>(TSource source)
        {
            return Mapper.Map<TSource, TDestination>(source);
        }

        public TDestination MapFromSourceToDestination<TSource, TDestination>(TSource source, TDestination destination)
        {
            return Mapper.Map(source, destination);
        }

        #endregion
    }
}