﻿using System;
using System.Collections.Generic;
using MovieDB.DTOs;

namespace MovieDB.ServiceInterfaces
{
    public interface IMovieService
    {
        PagedMovieDto GetAllMoviesPaged(int page, int pageSize);
        MovieDto GetMovieById(Guid movieId);
        void SaveMovie(MovieDto movie);
        void DeleteMovie(Guid movieId);
        IEnumerable<MovieDto> GetMostRecentMovies(int amountOfRecentMovies);
    }
}