using System.ComponentModel;

namespace MovieDB.Common
{


    #region ModelType
    // ReSharper disable InconsistentNaming
    public enum ModelCRUDType
    // ReSharper restore InconsistentNaming
    {
        Create =0,
        Update = 1,
    }
    #endregion

    #region Video

    public enum VideoType
    {
        Error =-1,
        [Description("HD")]
        HD = 0,
        [Description("LD")]
        LD = 1
    }

    public enum VideoResolution
    {
        [Description("1080p")]
        TenEigthyP = 0,
        [Description("1080i")]
        TenEightyI = 1,
        [Description("720p")]
        SevenTwentyP = 2,
        [Description("720i")]
        SevenTwentyI = 3,
        [Description("576")]
        FiveSevenSix = 4
    }

    #endregion

    #region Audio

    public enum AudioType
    {
        Error = -1,
        [Description("Dolby Digital")]
        DolbyDigital = 0,
        [Description("DTS")]
        DTS = 1,
        [Description("True HD")]
        TrueHD = 2
    }


    public enum AudioChannels
    {
        [Description("2.0")]
        TwoDotZero = 0,
        [Description("5.1")]
        FiveDotOne = 1,
        [Description("7.1")]
        SevenDotOne = 2,
    }

    #endregion

    #region Genere

    public enum MovieGenre
    {
        Error = -1,
        Action = 0,
        Thriller = 1,
        Horror = 2,
        Drama = 3,
        [Description("Science Fiction")]
        ScienceFiction = 4,
        Fantasy = 5,
        Comedy = 6,
        Love = 7,
        Disney = 8,
        [Description("Christmas")]
        XMas=9,
        Disaster = 10
    }

    #endregion
}