using System;
using MovieDB.Common;

namespace MovieDB.DTOs
{
    public class AudioQualityDto : IIdendity
    {
        public Guid Id { get; set; }
        public AudioType AudioType { get; set; }
        public AudioChannels AudioChannels { get; set; }

        public override string ToString()
        {
            return string.Format("{0} - {1}", AudioType.GetEnumDescription(), AudioChannels.GetEnumDescription());
        }
    }
}