﻿using System;
using System.Collections.Generic;
using MovieDB.Common;

namespace MovieDB.DTOs
{
    public class MovieDto
    {
        public Guid Id { get; set; }
        public DateTime CreatedAt { get; set; }
        public string Title { get; set; }
        public string Location { get; set; }
        public MovieGenre Genre { get; set; }
        public VideoQualityDto VideoQuality { get; set; }
        public IList<AudioQualityDto> AudioQualities { get; set; }
    }
}