﻿using System;
using MovieDB.Common;

namespace MovieDB.DTOs
{
    public class VideoQualityDto
    {
        public Guid Id { get; set; }
        public VideoType VideoType { get; set; }
        public VideoResolution VideoResolution { get; set; }

        public override string ToString()
        {
            return string.Format("{0} - {1}", VideoType.GetEnumDescription(), VideoResolution.GetEnumDescription());
        }
    }
}