﻿using System;
using System.Data.Entity;

namespace MovieDB.Entities
{
    public interface IContext : IDisposable
    {
        DbSet<Movie> Movies { get; set; }
        DbSet<AudioQuality> AudioQualities { get; set; }
        DbSet<VideoQuality> VideoQualities { get; set; }
        int SaveChanges();
    }
}