﻿using System;
using System.Collections.Generic;

namespace MovieDB.Entities
{
    public class Movie
    {
        public Movie()
        {
            AudioQualities = new List<AudioQuality>();
        }

        public Guid Id { get; set; }
        public DateTime CreatedAt { get; set; }
        public string Title { get; set; }
        public string Location { get; set; }
        public int Genre { get; set; }
        public ICollection<AudioQuality> AudioQualities { get; set; }
        public VideoQuality VideoQuality { get; set; }
    }
}