using System.Collections.Generic;
using MovieDB.DTOs;
using MovieDB.FactoryInterfaces;

namespace MovieDB.Factories
{
    public class DtoFactory : IDtoFactory
    {
        public PagedMovieDto CreatePagedMovieDto(List<MovieDto> movies, int totalAmountOfMovies)
        {
            return new PagedMovieDto { Movies = movies, TotalAmountOfMovies = totalAmountOfMovies };
        }
    }
}