﻿using System.Diagnostics;
using Castle.DynamicProxy;
using MovieDB.ServiceInterfaces;

namespace MovieDB.Interceptors
{
    public class LoggingInterceptor : StandardInterceptor
    {
        private readonly ILogger _logger;

        public LoggingInterceptor(ILogger logger)
        {
            _logger = logger;
        }

        protected override void PreProceed(IInvocation invocation)
        {
            Debug.WriteLine("Method intercepted by LoggingInterceptor");
        }
    }
}