﻿using System.Web.Mvc;
using MovieDB.FactoryInterfaces;
using MovieDB.ServiceInterfaces;

namespace MovieDB.Controllers.Common
{
    public class MovieBaseControler : Controller
    {
        protected readonly IMapping Mapping;
        protected readonly IModelFactory ModelFactory;

        public MovieBaseControler()
        {
            Mapping = DependencyResolver.Current.GetService<IMapping>();
            ModelFactory = DependencyResolver.Current.GetService<IModelFactory>();
        }
    }
}